const Observable = require("data/observable").Observable;
const ObservableArray = require("data/observable-array").ObservableArray;

function createViewModel(collAlbums, albumArtistId) {
	var viewModel = new Observable({
		albums: new ObservableArray([]),
		albumArtistId: albumArtistId,
		albumFilter: ""
	});

	viewModel.select = function() {

		while (viewModel.albums.length) {
			viewModel.albums.pop();
		}

		var filterExp = {};
		if( viewModel.albumArtistId) {
			//filterExp = {'albumArtistId': { '$eq' : this.albumArtistId }};
			filterExp = {'albumArtistIds': { '$contains' : viewModel.albumArtistId }};
			console.dump( filterExp);
		}
		if( viewModel.albumFilter) {
			//Object.assign( filterExp, {'albumName': { '$contains' : this.albumFilter }});
			filterExp = { "$and": [filterExp, {'albumName': { '$regex': [ viewModel.albumFilter, 'i'] } }]};
			console.dump( filterExp);
		}
		console.log("find albumArtistId="+viewModel.albumArtistId + " filter="+viewModel.albumFilter);
		//var t = collAlbums.chain().find( {'artistId': { '$eq' : this.artistId }}).simplesort("albumName").data();
		var t = collAlbums.chain().find( filterExp).simplesort("albumName").data();

		for( let e of t) {
			//console.log( "select albumId:"+ e.albumId+ " albumName:"+ e.albumName);
			viewModel.albums.push( { "albumId": e.albumId, "albumName": e.albumName, "albumArtist": e.albumArtist, "albumYear": e.albumYear, icon: String.fromCharCode(0xf1f8) });
		}
	}

	viewModel.select();

	return viewModel;
}

exports.createViewModel = createViewModel;
