const FrameModule = require("ui/frame");
const createViewModel = require("./albums-view-model").createViewModel;
const config = require("../shared/config");

var viewModel;

function onNavigatingTo(args) {
    var page = args.object;

	console.log("albums onNavigatingTo artistId="+page.navigationContext.artistId);
	if( !viewModel) {
		viewModel = createViewModel(global.ldb.getCollection("albums"), page.navigationContext.artistId);
	} else {
		if( viewModel.albumArtistId != page.navigationContext.artistId) {
			viewModel.albumArtistId = page.navigationContext.artistId;
			viewModel.select();
		}
	}
	page.bindingContext = viewModel;
}

function navigateToTracks(args) {
	if( config.settings.handleTracks) {
		FrameModule.topmost().navigate({moduleName: "tracks/tracks", animated: false, context: {albumId: args.object.bindingContext.albums.getItem(args.index).albumId}});
	}
}

exports.onAlbumFilterChange = function( args) {
	viewModel.albumFilter = args.object.text;
	console.log("albumFilter="+viewModel.albumFilter);
	viewModel.select();
}

exports.onGoBack = function( args) {
	FrameModule.topmost().goBack();
}

exports.onNavigatingTo = onNavigatingTo;
exports.navigateToTracks = navigateToTracks;
