const Observable = require("data/observable").Observable;
const ObservableArray = require("data/observable-array").ObservableArray;

function createViewModel( collArtists) {
	 var viewModel = new Observable( {
	 	artists: new ObservableArray([]),
	 	artistFilter: ""
	 });


	 viewModel.select = function() {
		//this.lists = new ObservableArray([]);
		while (viewModel.artists.length) {
     	   viewModel.artists.pop();
    	}

		var filterExp = {};
		if( viewModel.artistFilter) {
			filterExp ={'artistName': { '$regex': [ viewModel.artistFilter, 'i'] } };
			console.dump( filterExp);
		}

		var l = collArtists.chain().find( filterExp).simplesort("artistName").data();

		for( let e of l) {
			//console.log( "id:" + e.$loki + " list_name:" + e.list_name);
			viewModel.artists.push( { "artistId": e.artistId, "artistName": e.artistName });
		}
		/*
		console.log( "List is:");
		this.lists.forEach( function(e) {
			console.log( e.list_name);
		});
		*/

	 }

	 viewModel.select();

	 return viewModel;
}

exports.createViewModel = createViewModel;
