const searchBarModule = require("ui/search-bar");

//const LMS = require("./shared/lms").LMS;
const config = require("./shared/config");

const createViewModel = require("./main-view-model").createViewModel;
const versionString = "Version 0.1"+String.fromCharCode(0x03b1);
var viewModel;

function onNavigatingTo(args) {
	var page = args.object;
	if( !config.settings.handleTracks) {
		var btnTracks = page.getViewById("btnTracks");
		btnTracks.visibility = "collapse";
	}
	if (!viewModel) {
		viewModel = createViewModel();
	}
	viewModel.message = versionString + " [ DB: "+global.ldb.getCollection("artists").count()+" artists / "+global.ldb.getCollection("albums").count()+" albums / "+global.ldb.getCollection("tracks").count()+" tracks ]";
	page.bindingContext = viewModel;
}

function onSearchBarLoaded( event) {
	//console.log("onSearchBarLoaded");
	if (event.object.android) {
		event.object.dismissSoftInput();
		event.object.android.clearFocus();
	}
}

exports.onNavigatingTo = onNavigatingTo;
exports.onSearchBarLoaded = onSearchBarLoaded;