const FrameModule = require("ui/frame");
const Observable = require("data/observable").Observable;

const config = require("../shared/config");

function createViewModel() {
    var viewModel = new Observable({
		lmsUrl: config.settings.apiUrl,
		fetchSize: config.settings.fetchChunks,
		darkTheme: config.settings.appTheme=="dark"?true:false,
		handleTracks: config.settings.handleTracks,
		plsRegex: config.settings.plsRegex,
		plsSubst: config.settings.plsSubst,
		plsPath: config.settings.plsPath,
		isLoading: false,
		progressMaxVal: 4,
		importProgress: 0
	});

	return viewModel;
}


exports.createViewModel = createViewModel;